build: Create VERSION file via autoconf.
authorWerner Koch <wk@gnupg.org>
Tue, 19 Aug 2014 09:12:26 +0000 (11:12 +0200)
committerWerner Koch <wk@gnupg.org>
Tue, 19 Aug 2014 09:12:26 +0000 (11:12 +0200)
* Makefile.am (dist-hook): Remove creation of VERSION.
(EXTRA_DIST): Add VERSION.
* configure.ac: Let autoconf create VERSION.

.gitignore
Makefile.am
configure.ac

index 5fc934a..5a51f9f 100644 (file)
@@ -157,3 +157,4 @@ tools/watchgnupg
 tools/gpgtar
 private-keys-v1.d/
 x.parm
 tools/gpgtar
 private-keys-v1.d/
 x.parm
+/VERSION
index 2d07ad2..89e2077 100644 (file)
@@ -25,7 +25,7 @@ GITLOG_TO_CHANGELOG=gitlog-to-changelog
 
 EXTRA_DIST = build-aux/config.rpath build-aux/potomo autogen.sh autogen.rc
             ChangeLog-2011 po/ChangeLog-2011 build-aux/ChangeLog-2011 \
 
 EXTRA_DIST = build-aux/config.rpath build-aux/potomo autogen.sh autogen.rc
             ChangeLog-2011 po/ChangeLog-2011 build-aux/ChangeLog-2011 \
-            build-aux/gitlog-to-changelog \
+            VERSION build-aux/gitlog-to-changelog \
             build-aux/git-log-fix build-aux/git-log-footer \
             build-aux/speedo.mk README.GIT
 
             build-aux/git-log-fix build-aux/git-log-footer \
             build-aux/speedo.mk README.GIT
 
@@ -93,7 +93,6 @@ dist_doc_DATA = README
 
 
 dist-hook: gen-ChangeLog
 
 
 dist-hook: gen-ChangeLog
-       echo "$(VERSION)" > $(distdir)/VERSION
 
 if HAVE_W32_SYSTEM
 install-data-hook:
 
 if HAVE_W32_SYSTEM
 install-data-hook:
index 02e02bb..ec259c3 100644 (file)
@@ -47,7 +47,7 @@ m4_define([mym4_isbeta],       m4_argn(2, mym4_verslist))
 m4_define([mym4_version],      m4_argn(4, mym4_verslist))
 m4_define([mym4_revision],     m4_argn(7, mym4_verslist))
 m4_define([mym4_revision_dec], m4_argn(8, mym4_verslist))
 m4_define([mym4_version],      m4_argn(4, mym4_verslist))
 m4_define([mym4_revision],     m4_argn(7, mym4_verslist))
 m4_define([mym4_revision_dec], m4_argn(8, mym4_verslist))
-
+m4_esyscmd([echo ]mym4_version[>VERSION])
 AC_INIT([mym4_package],[mym4_version], [http://bugs.gnupg.org])
 
 NEED_GPG_ERROR_VERSION=1.13
 AC_INIT([mym4_package],[mym4_version], [http://bugs.gnupg.org])
 
 NEED_GPG_ERROR_VERSION=1.13